<!--
	Project : MARCEL_CRUD_2
	File : AdminuserCRUD.jsp
	Author : MSA
	Date : 14/12/2013
	Source : 
	Notes :
-->
<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC
	"-//W3C//DTD HTML 4.01 Transitional//EN"
	"http://www.w3.org/TR/html4/loose.dtd">
<%@taglib uri="/struts-tags" prefix="s"%>

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>Registration Page</title>
		<s:head />
	</head>

	<body>
		<h2><s:property value="getText('adminuser.Title')"/></h2>
		<s:a href="Menu.jsp">Menu</s:a>

		<!-- Accepta el formulari -->
		<s:form action="saveOrUpdateAdminuser">
			<s:push value="adminuser">
				<s:hidden name="adminid" />
				<s:textfield name="admincode" key="adminuser.admincode" size="20" />
				<s:textfield name="password" key="adminuser.password" size="20" />
				<s:submit key="adminuser.submit" />
			</s:push>
		</s:form>

		<s:if test="adminuserList.size() > 0">
			<div class="content">
			<table class="adminuserTable" cellpadding="5px">
				<tr class="even">
					<th><s:property value="getText('adminuser.adminid')"/></th>
					<th><s:property value="getText('adminuser.admincode')"/></th>
					<th><s:property value="getText('adminuser.password')"/></th>
				</tr>
				<s:iterator value="adminuserList" status="statusAdminuser">
					<tr class="<s:if test="#statusAdminuser.odd == true ">odd</s:if> <s:else>even</s:else>">
						<td><s:property value="adminid" /></td>
						<td><s:property value="admincode" /></td>
						<td><s:property value="password" /></td>
						<td>
						<s:url id="editURL" action="editAdminuser">
							<s:param name="adminid" value="%{adminid}"></s:param>
						</s:url>
						<s:a href="%{editURL}"><s:property value="getText('adminuser.edit')"/></s:a>
						</td>
						<td>
						<s:url id="deleteURL" action="deleteAdminuser">
							<s:param name="adminid" value="%{adminid}"></s:param>
						</s:url>
						<s:a href="%{deleteURL}"><s:property value="getText('adminuser.delete')"/></s:a>
						</td>
					</tr>
				</s:iterator>
			</table>
			</div>
		</s:if>

	</body>

</html>

