<!--
	Project : MARCEL_CRUD_2
	File : CollectitemCRUD.jsp
	Author : MSA
	Date : 14/12/2013
	Source : 
	Notes :
-->
<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC
	"-//W3C//DTD HTML 4.01 Transitional//EN"
	"http://www.w3.org/TR/html4/loose.dtd">
<%@taglib uri="/struts-tags" prefix="s"%>

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>Registration Page</title>
		<s:head />
	</head>

	<body>
		<h2><s:property value="getText('collectitem.Title')"/></h2>
		<s:a href="Menu.jsp">Menu</s:a>

		<!-- Accepta el formulari -->
		<s:form action="saveOrUpdateCollectitem">
			<s:push value="collectitem">
				<s:hidden name="seqid" />
				<s:textfield name="collection.colid" key="collectitem.colid" size="20" />
				<s:textfield name="colitindex" key="collectitem.colitindex" size="20" />
				<s:textfield name="publication.pubid" key="collectitem.pubid" size="20" />
				<s:submit key="collectitem.submit" />
			</s:push>
		</s:form>
		<s:if test="collectitemList.size() > 0">
			<div class="content">
			<table class="collectitemTable" cellpadding="5px">
				<tr class="even">
					<th><s:property value="getText('collectitem.seqid')"/></th>
					<th><s:property value="getText('collectitem.colid')"/></th>
					<th><s:property value="getText('collectitem.colitindex')"/></th>
					<th><s:property value="getText('collectitem.pubid')"/></th>
				</tr>
				<s:iterator value="collectitemList" status="statusCollectitem">
					<tr class="<s:if test="#statusCollectitem.odd == true ">odd</s:if> <s:else>even</s:else>">
						<td><s:property value="seqid" /></td>
						<td><s:property value="collection.colid" /></td>
						<td><s:property value="colitindex" /></td>
						<td><s:property value="publication.pubid" /></td>
						<td>
		                <s:url id="editURL" action="editCollectitem">
							<s:param name="seqid" value="%{seqid}"></s:param>
						</s:url>
		                <s:a href="%{editURL}"><s:property value="getText('collectitem.edit')"/></s:a>
		                </td>
						<td>
		                <s:url id="deleteURL" action="deleteCollectitem">
							<s:param name="seqid" value="%{seqid}"></s:param>
						</s:url>
		                <s:a href="%{deleteURL}"><s:property value="getText('collectitem.delete')"/></s:a>
		                </td>
					</tr>
				</s:iterator>
			</table>
			</div>
		</s:if>

	</body>

</html>

