<!--
	Project : MARCEL_CRUD_2
	File : CustomerCRUD.jsp
	Author : MSA
	Date : 14/12/2013
	Source : 
	Notes :
-->
<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@taglib uri="/struts-tags" prefix="s"%>
<!DOCTYPE html PUBLIC
	"-//W3C//DTD HTML 4.01 Transitional//EN"
	"http://www.w3.org/TR/html4/loose.dtd">

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>Registration Page</title>
	</head>

	<body>
		<h2><s:property value="getText('customers.Title')"/></h2>
		<s:a href="Menu.jsp">Menu</s:a>

		<!-- Accepta el formulari -->
		<s:form action="saveOrUpdateCustomer">
			<s:push value="customer">
				<s:hidden name="custid" />
				<s:textfield name="user.userid" key="customers.userid" size="20" />
				<s:textfield name="cardname" key="customers.cardname" size="20" />
				<s:textfield name="cardcode" key="customers.cardcode" size="20" />
				<s:textfield name="carcode2" key="customers.carcode2" size="20" />
				<s:textfield name="carcode3" key="customers.carcode3" size="20" />
				<s:textfield name="notes" key="customers.notes" size="20" />
				<s:submit key="customers.submit" />
			</s:push>
		</s:form>

		<s:if test="customerList.size() > 0">
			<div class="content">
			<table class="customerTable" cellpadding="5px">
				<tr class="even">
					<th><s:property value="getText('customers.custid')"/></th>
					<th><s:property value="getText('customers.userid')"/></th>
					<th><s:property value="getText('customers.cardname')"/></th>
					<th><s:property value="getText('customers.cardcode')"/></th>
					<th><s:property value="getText('customers.carcode2')"/></th>
					<th><s:property value="getText('customers.carcode3')"/></th>
					<th><s:property value="getText('customers.notes')"/></th>
				</tr>
				<s:iterator value="customerList" status="customerStatus">
					<tr
						class="<s:if test="#customerStatus.odd == true ">
									odd
								</s:if>
								<s:else>
									even
								</s:else>">
						<td><s:property value="custid" /></td>
						<td><s:property value="user.userid" /></td>
						<td><s:property value="cardname" /></td>
						<td><s:property value="cardcode" /></td>
						<td><s:property value="carcode2" /></td>
						<td><s:property value="carcode3" /></td>
						<td><s:property value="notes" /></td>
		                <td>
		                <s:url id="editURL" action="editCustomer">
							<s:param name="custid" value="%{custid}"></s:param>
						</s:url>
		                <s:a href="%{editURL}"><s:property value="getText('customers.edit')"/></s:a>
		                </td>
						<td>
		                <s:url id="deleteURL" action="deleteCustomer">
							<s:param name="custid" value="%{custid}"></s:param>
						</s:url>
		                <s:a href="%{deleteURL}"><s:property value="getText('customers.delete')"/></s:a>
		                </td>
					</tr>
				</s:iterator>
			</table>
			</div>
		</s:if>

	</body>

</html>

