<!--
	Project : MARCEL_CRUD_2
	File : OrderitemsCRUD.jsp
	Author : MSA
	Date : 14/12/2013
	Source : 
	Notes :
-->
<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@taglib uri="/struts-tags" prefix="s"%>
<!DOCTYPE html PUBLIC
	"-//W3C//DTD HTML 4.01 Transitional//EN"
	"http://www.w3.org/TR/html4/loose.dtd">

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>Registration Page</title>
	</head>

	<body>
		<h2><s:property value="getText('orderitems.Title')"/></h2>
		<s:a href="Menu.jsp">Menu</s:a>

		<!-- Accepta el formulari -->
		<s:form action="saveOrUpdateOrderitems">
			<s:push value="orderitems">
				<s:hidden name="seqid" />
				<s:textfield name="orders.orderid" key="orderitems.orderid" size="20" />
				<s:textfield name="orderiLine" key="orderitems.orderline" size="20" />
				<s:textfield name="prodorcol" key="orderitems.prodorcol" size="20" />
				<s:textfield name="itemid" key="orderitems.itemid" size="20" />
				<s:textfield name="name" key="orderitems.name" size="20" />
				<s:textfield name="quantity" key="orderitems.quantity" size="20" />
				<s:textfield name="price" key="orderitems.price" size="20" />
				<s:textfield name="discount" key="orderitems.discount" size="20" />
				<s:submit key="orderitems.submit" />
			</s:push>
		</s:form>

		<s:if test="orderitemsList.size() > 0">
			<div class="content">
			<table class="userTable" cellpadding="5px">
				<tr class="even">
					<th><s:property value="getText('orderitems.seqid')"/></th>
					<th><s:property value="getText('orderitems.orderid')"/></th>
					<th><s:property value="getText('orderitems.orderline')"/></th>
					<th><s:property value="getText('orderitems.prodorcol')"/></th>
					<th><s:property value="getText('orderitems.itemid')"/></th>
					<th><s:property value="getText('orderitems.name')"/></th>
					<th><s:property value="getText('orderitems.quantity')"/></th>
					<th><s:property value="getText('orderitems.price')"/></th>
					<th><s:property value="getText('orderitems.discount')"/></th>
				</tr>
				<s:iterator value="orderitemsList" status="orderitemsStatus">
					<tr
						class="<s:if test="#orderitemsStatus.odd == true ">
									odd
								</s:if>
								<s:else>
									even
								</s:else>">
						<td><s:property value="seqid" /></td>
						<td><s:property value="orders.orderid" /></td>
						<td><s:property value="orderiLine" /></td>
						<td><s:property value="prodorcol" /></td>
						<td><s:property value="itemid" /></td>
						<td><s:property value="name" /></td>
						<td><s:property value="quantity" /></td>
						<td><s:property value="price" /></td>
						<td><s:property value="discount" /></td>
						<td>
		                <s:url id="editURL" action="editOrderitems">
							<s:param name="seqid" value="%{seqid}"></s:param>
						</s:url>
		                <s:a href="%{editURL}">Edit</s:a>
		                </td>
						<td>
		                <s:url id="deleteURL" action="deleteOrderitems">
							<s:param name="seqid" value="%{seqid}"></s:param>
						</s:url>
		                <s:a href="%{deleteURL}">Delete</s:a>
		                </td>
					</tr>
				</s:iterator>
			</table>
			</div>
		</s:if>

	</body>

</html>

