<!--
	Project : MARCEL_CRUD_2
	File : OrdersCRUD.jsp
	Author : MSA
	Date : 14/12/2013
	Source : 
	Notes :
-->
<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@taglib uri="/struts-tags" prefix="s"%>
<!DOCTYPE html PUBLIC
	"-//W3C//DTD HTML 4.01 Transitional//EN"
	"http://www.w3.org/TR/html4/loose.dtd">

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>Registration Page</title>
	</head>

	<body>
		<h2><s:property value="getText('orders.Title')"/></h2>
		<s:a href="Menu.jsp">Menu</s:a>

		<!-- Accepta el formulari -->
		<s:form action="saveOrUpdateOrders">
			<s:push value="orders">
				<s:hidden name="orderid" />
				<s:textfield name="customer.custid" key="orders.custid" size="20" />
				<s:textfield name="orderyear" key="orders.orderyear" size="20" />
				<s:textfield name="ordernumber" key="orders.ordernumber" size="20" />
				<s:textfield name="orderdate" key="orders.orderdate" size="20" />
				<s:submit key="orders.submit" />
			</s:push>
		</s:form>

		<s:if test="ordersList.size() > 0">
			<div class="content">
			<table class="userTable" cellpadding="5px">
				<tr class="even">
					<th><s:property value="getText('orders.orderid')"/></th>
					<th><s:property value="getText('orders.custid')"/></th>
					<th><s:property value="getText('orders.orderyear')"/></th>
					<th><s:property value="getText('orders.ordernumber')"/></th>
					<th><s:property value="getText('orders.orderdate')"/></th>
				</tr>
				<s:iterator value="ordersList" status="ordersStatus">
					<tr
						class="<s:if test="#ordersStatus.odd == true ">
									odd
								</s:if>
								<s:else>
									even
								</s:else>">
						<td><s:property value="orderid" /></td>
						<td><s:property value="customer.custid" /></td>
						<td><s:property value="orderyear" /></td>
						<td><s:property value="ordernumber" /></td>
						<td><s:property value="orderdate" /></td>
						<td>
		                <s:url id="editURL" action="editOrders">
							<s:param name="orderid" value="%{orderid}"></s:param>
						</s:url>
		                <s:a href="%{editURL}">Edit</s:a>
		                </td>
						<td>
		                <s:url id="deleteURL" action="deleteOrders">
							<s:param name="orderid" value="%{orderid}"></s:param>
						</s:url>
		                <s:a href="%{deleteURL}">Delete</s:a>
		                </td>
					</tr>
				</s:iterator>
			</table>
			</div>
		</s:if>

	</body>

</html>

