<!--
	Project : MARCEL_CRUD_2
	File : SCartDetailCRUD.jsp
	Author : MSA
	Date : 12/01/2014
	Source : 
	Notes :
-->
<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@taglib uri="/struts-tags" prefix="s"%>
<!DOCTYPE html PUBLIC
	"-//W3C//DTD HTML 4.01 Transitional//EN"
	"http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>Registration Page</title>
	</head>

	<body>
		<h2><s:property value="getText('scartdetail.Title')"/></h2>
		<s:a href="Menu.jsp">Menu</s:a>

		<!-- Accepta el formulari -->
		<s:form action="saveOrUpdateSCartDetail">
			<s:push value="sCartDetail">
				 <s:hidden name="id" />
				<s:textfield name="codeProduct" key="scartdetail.codeProduct" size="20" />
				<s:textfield name="nameProduct" key="scartdetail.nameProduct" size="20" />
				<s:textfield name="nameImage" key="scartdetail.nameImage" size="20" />
				<s:textfield name="quantity" key="scartdetail.quantity" size="20" />
				<s:textfield name="pcntDiscount" key="scartdetail.pcntDiscount" size="20" />
				<s:textfield name="discount" key="scartdetail.discount" size="20" />
				<s:textfield name="price" key="scartdetail.price" size="20" />
				<s:textfield name="totalLine" key="scartdetail.totalLine" size="20" />
				<s:submit key="scartdetail.submit" />
			</s:push>
		</s:form>

		<s:if test="sCartDetailList.size() > 0">
			<div class="content">
			<table class="userTable" cellpadding="5px">
				<tr class="even">
					<th><s:property value="getText('scartdetail.id')"/></th>
					<th><s:property value="getText('scartdetail.codeProduct')"/></th>
					<th><s:property value="getText('scartdetail.nameProduct')"/></th>
					<th><s:property value="getText('scartdetail.nameImage')"/></th>
					<th><s:property value="getText('scartdetail.quantity')"/></th>
					<th><s:property value="getText('scartdetail.pcntDiscount')"/></th>
					<th><s:property value="getText('scartdetail.discount')"/></th>
					<th><s:property value="getText('scartdetail.price')"/></th>
					<th><s:property value="getText('scartdetail.totalLine')"/></th>
				</tr>
				<s:iterator value="sCartDetailList" status="sCartDetailStatus">
					<tr
						class="<s:if test="#sCartDetailStatus.odd == true ">
									odd
								</s:if>
								<s:else>
									even
								</s:else>">
						<td><s:property value="id" /></td>
						<td><s:property value="codeProduct" /></td>
						<td><s:property value="nameProduct" /></td>
						<td><s:property value="nameImage" /></td>
						<td><s:property value="quantity" /></td>
						<td><s:property value="pcntDiscount" /></td>
						<td><s:property value="discount" /></td>
						<td><s:property value="price" /></td>
						<td><s:property value="totalLine" /></td>
						<td>
							<s:url id="editURL" action="editSCartDetail">
								<s:param name="id" value="%{id}"></s:param>
							</s:url>
							<s:a href="%{editURL}"><s:property value="getText('scartdetail.Edit')"/></s:a>
						</td>
						<td>
							<s:url id="deleteURL" action="deleteSCartDetail">
								<s:param name="id" value="%{id}"></s:param>
							</s:url>
							<s:a href="%{deleteURL}"><s:property value="getText('scartdetail.Delete')"/></s:a>
						</td>
					</tr>
				</s:iterator>
			</table>
			</div>
		</s:if>

	</body>

</html>

