<!--
	Project : MARCEL_CRUD_2
	File : UserCRUD.jsp
	Author : MSA
	Date : 14/12/2013
	Source : 
	Notes :
-->
<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@taglib uri="/struts-tags" prefix="s"%>
<!DOCTYPE html PUBLIC
	"-//W3C//DTD HTML 4.01 Transitional//EN"
	"http://www.w3.org/TR/html4/loose.dtd">

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>Registration Page</title>
	</head>

	<body>
		<h2><s:property value="getText('user.Title')"/></h2>
		<s:a href="Menu.jsp">Menu</s:a>

		<!-- Accepta el formulari -->
		<s:form action="saveOrUpdateUser">
			<s:push value="user">
				<s:hidden name="userid" />
				<s:textfield name="usercode" key="user.usercode" size="20" />
				<s:textfield name="password" key="user.password" size="20" />
				<s:textfield name="firstname" key="user.firstname" size="20" />
				<s:textfield name="lastname" key="user.lastname" size="20" />
				<s:textfield name="address" key="user.address" size="20" />
				<s:textfield name="city" key="user.city" size="20" />
				<s:textfield name="zip" key="user.zip" size="20" />
				<s:textfield name="province" key="user.province" size="20" />
				<s:textfield name="phone" key="user.phone" size="20" />
				<s:textfield name="fax" key="user.fax" size="20" />
				<s:textfield name="mobile" key="user.mobile" size="20" />
				<s:submit key="user.submit" />
			</s:push>
		</s:form>

		<s:if test="userList.size() > 0">
			<div class="content">
			<table class="userTable" cellpadding="5px">
				<tr class="even">
					<th><s:property value="getText('user.userid')"/></th>
					<th><s:property value="getText('user.usercode')"/></th>
					<th><s:property value="getText('user.password')"/></th>
					<th><s:property value="getText('user.firstname')"/></th>
					<th><s:property value="getText('user.lastname')"/></th>
					<th><s:property value="getText('user.address')"/></th>
					<th><s:property value="getText('user.city')"/></th>
					<th><s:property value="getText('user.zip')"/></th>
					<th><s:property value="getText('user.province')"/></th>
					<th><s:property value="getText('user.phone')"/></th>
					<th><s:property value="getText('user.fax')"/></th>
					<th><s:property value="getText('user.mobile')"/></th>
				</tr>
				<s:iterator value="userList" status="userStatus">
					<tr
						class="<s:if test="#userStatus.odd == true ">
									odd
								</s:if>
								<s:else>
									even
								</s:else>">
						<td><s:property value="userid" /></td>
						<td><s:property value="usercode" /></td>
						<td><s:property value="password" /></td>
						<td><s:property value="firstname" /></td>
						<td><s:property value="lastname" /></td>
						<td><s:property value="address" /></td>
						<td><s:property value="city" /></td>
						<td><s:property value="zip" /></td>
						<td><s:property value="province" /></td>
						<td><s:property value="phone" /></td>
						<td><s:property value="fax" /></td>
						<td><s:property value="mobile" /></td>
						<td>
		                <s:url id="editURL" action="editUser">
							<s:param name="userid" value="%{userid}"></s:param>
						</s:url>
		                <s:a href="%{editURL}"><s:property value="getText('user.edit')"/></s:a>
		                </td>
						<td>
		                <s:url id="deleteURL" action="deleteUser">
							<s:param name="userid" value="%{userid}"></s:param>
						</s:url>
		                <s:a href="%{deleteURL}"><s:property value="getText('user.delete')"/></s:a>
		                </td>
					</tr>
				</s:iterator>
			</table>
			</div>
		</s:if>

	</body>

</html>

