<!--
	Project : MARCEL_CRUD_2
	File : SCartLoad.jsp
	Author : MSA
	Date : 12/01/2013
	Source : 
	Notes :
-->
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@taglib uri="/struts-tags" prefix="s"%>
<!DOCTYPE html PUBLIC
	"-//W3C//DTD HTML 4.01 Transitional//EN"
	"http://www.w3.org/TR/html4/loose.dtd">

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>Registration Page</title>
	</head>

	<body>
		<h2><s:property value="getText('items.Title')"/>   - - -   SCartLoad.jsp</h2>
		<s:a href="Menu.jsp">Menu</s:a>
		<img src="<s:url value="/img/scart2.png" />" width="60" height="60" border="0" />

		<!-- Gestio de la llista que combina les Taules Publication i Collection : -->
		<!--                      (ItemAction.java) itemList                       -->

		<s:if test="itemList.size() > 0">
			<div class="content">
			<table class="itemTable" cellpadding="5px">
				<tr class="even">
					<th><s:property value="getText('items.id')"/></th>
					<th><s:property value="getText('items.codePubliOrCol')"/></th>
					<th><s:property value="getText('items.prodorcol')"/></th>
					<th><s:property value="getText('items.title')"/></th>
					<th><s:property value="getText('items.author')"/></th>
					<th><s:property value="getText('items.edition')"/></th>
					<th><s:property value="getText('items.revision')"/></th>
					<th><s:property value="getText('items.format')"/></th>
					<th><s:property value="getText('items.nameimage')"/></th>
					<th><s:property value="getText('items.image')"/></th>
					<th><s:property value="getText('items.pcntDiscount')"/></th>
					<th><s:property value="getText('items.price')"/></th>
				</tr>
				<s:iterator value="itemList" status="itemStatus">
					<tr
						class="<s:if test="#itemStatus.odd == true ">
									odd
								</s:if>
								<s:else>
									even
								</s:else>">
						<td><s:property value="id" /></td>
						<td><s:property value="codePubliOrCol"/></td>
						<td><s:property value="prodorcol"/></td>
						<td><s:property value="title" /></td>
						<td><s:property value="author" /></td>
						<td><s:property value="edition" /></td>
						<td><s:property value="revision" /></td>
						<td><s:property value="format" /></td>
						<td><s:property value="nameimage" /></td>
						<td><img src="<s:url value="%{nameimage}" />" width="40" height="40" border="0" /></td>
						<td><s:property value="pcntDiscount" /></td>
						<td><s:property value="price" /></td>
						<td>
							<s:url id="editURL" action="addItemToCart">
								<s:param name="id" value="%{id}"></s:param>
							</s:url>
							<s:a href="%{editURL}"><s:property value="getText('items.addItemToCart')"/></s:a>
						</td>
					</tr>
				</s:iterator>
			</table>
			</div>
		</s:if>

	</body>

</html>


