<!--
	Project : MARCEL_CRUD_2
	File : ScartWelcome.jsp
	Author : MSA
	Date : 24/12/2013
	Source : http://struts.apache.org/release/2.0.x/docs/simplelogin-with-session.html
			 http://www.java4s.com/struts-tutorials/example-on-struts-2-sessionaware-interface/
	Notes : use SessionAware
-->
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html PUBLIC
	"-//W3C//DTD HTML 4.01 Transitional//EN"
	"http://www.w3.org/TR/html4/loose.dtd">

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>Welcome to Session Login</title>
	</head>

	<body>
		<h2><s:property value="getText('scart.Title')"/></h2>
 		<s:a href="Menu.jsp">Menu</s:a><br>
		<table>
			<tr>
				<td><s:property value="getText('scart.admincode')"/></td>
				<td><s:property value="#session.admincode" /></td>
			</tr>
			<tr>
				<td><s:property value="getText('scart.password')"/></td>
				<td><s:property value="#session.password" /></td>
			</tr>
			<tr>
				<td><s:property value="getText('scart.date')"/></td>
				<td><s:property value="#session.date" /></td>
			</tr>
			<tr>
				<td><s:property value="getText('scart.brand')"/></td>
				<td><s:property value="#session.brand" /></td>
			</tr>
		</table>
		<br><!-- <s:property value="getText('scart.TitleLines')"/><br> -->
		<table>
			<tr>
				<td><s:property value="getText('scart.invoincenum')"/></td><td><s:property value="#session.SCartMaster.invoiceId" /></td>
			</tr>
			<tr>
				<td><s:property value="getText('scart.customernum')"/></td><td><s:property value="#session.SCartMaster.custId" /></td>
			</tr>
			<tr>
				<td><s:property value="getText('scart.customername')"/></td><td><s:property value="#session.SCartMaster.custName" /></td>
			</tr>
			<tr>
				<td><s:property value="getText('scart.cardname')"/></td><td><s:property value="#session.SCartMaster.cardName" /></td>
			</tr>
			<tr>
				<td><s:property value="getText('scart.cardcode')"/></td><td><s:property value="#session.SCartMaster.cardCode" /></td>
			</tr>
			<tr>
				<td><s:property value="getText('scart.invoicedate')"/></td><td><s:property value="#session.SCartMaster.dateSCart" /></td>
			</tr>
		</table>
		<br>
		<table>
			<tr>
				<td><s:property value="getText('scart.id')"/></td>
				<td><s:property value="getText('scart.prodcode')"/></td>
				<td><s:property value="getText('scart.prodname')"/></td>
				<td><s:property value="getText('scart.prodnameimage')"/></td>
				<td><s:property value="getText('scart.prodimage')"/></td>
				<td><s:property value="getText('scart.prodquantity')"/></td>
				<td><s:property value="getText('scart.prodprice')"/></td>
				<td><s:property value="getText('scart.prodtotaline')"/></td>
			</tr>
			<tr>
				<td>----------</td>
				<td>------------------------</td>
				<td>------------------------</td>
				<td>------------------------------</td>
				<td>------------</td>
				<td>---------------</td>
				<td>--------</td>
				<td>---------------</td>
			</tr>
			<s:iterator value="#session.SCartMaster.sCartDetail" status="status">
			  <tr>
			  	<s:if test="#status.even == true">
					<td style="background: #CCCCCC"><s:property value="id" /></td>
					<td style="background: #CCCCCC"><s:property value="codeProduct" /></td>
					<td style="background: #CCCCCC"><s:property value="nameProduct" /></td>
					<td style="background: #CCCCCC"><s:property value="nameImage" /></td>
					<td><img src="<s:url value="%{nameImage}" />" width="40" height="40" border="0" /></td>
					<td style="background: #CCCCCC"><s:property value="quantity" /></td>
					<td style="background: #CCCCCC"><s:property value="price" /></td>
					<td style="background: #CCCCCC"><s:property value="totalLine" /></td>
				</s:if>
				<s:elseif test="#status.first == true">
					<td><s:property value="id" /></td>
					<td><s:property value="codeProduct" /></td>
					<td><s:property value="nameProduct" /></td>
					<td><s:property value="nameImage" /></td>
					<td><img src="<s:url value="%{nameImage}" />" width="40" height="40" border="0" /></td>
					<td><s:property value="quantity" /></td>
					<td><s:property value="price" /></td>
					<td><s:property value="totalLine" /></td>
				</s:elseif>
				<s:else>
					<td><s:property value="id" /></td>
					<td><s:property value="codeProduct" /></td>
					<td><s:property value="nameProduct" /></td>
					<td><s:property value="nameImage" /></td>
					<td><img src="<s:url value="%{nameImage}" />" width="40" height="40" border="0" /></td>
					<td><s:property value="quantity" /></td>
					<td><s:property value="price" /></td>
					<td><s:property value="totalLine" /></td>
				</s:else>
			  </tr>
			</s:iterator>
		</table>
		<br>
		<table>
			
			<tr>
					<td></td>
					<td></td>
					<td><s:property value="getText('scart.counterItems')"/></td><td><s:property value="#session.SCartMaster.counterItems" /></td>
					<td><s:property value="getText('scart.totalLines')"/></td><td><s:property value="#session.SCartMaster.totalLines" /></td>
			</tr>
			<tr>
			  	<s:if test="#session.SCartMaster.pcntDiscount1 != 0">
					<td></td>
					<td></td>
					<td><s:property value="getText('scart.pcntDiscount1')"/></td><td><s:property value="#session.SCartMaster.pcntDiscount1" /> %&nbsp&nbsp&nbsp</td>
					<td><s:property value="getText('scart.discount1')"/></td><td><s:property value="#session.SCartMaster.discount1" /></td>
			    </s:if>
			</tr>
		  	<s:if test="#session.SCartMaster.pcntTax != 0">
				<tr>
					<td></td>
					<td></td>
					<td><s:property value="getText('scart.pcntTax')"/></td><td><s:property value="#session.SCartMaster.pcntTax" /> %&nbsp&nbsp&nbsp</td>
					<td><s:property value="getText('scart.tax')"/></td><td><s:property value="#session.SCartMaster.tax" /></td>
				</tr>
		    </s:if>
			<tr>
				<td>&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp</td>
				<td></td>
				<td></td>
				<td></td>
				<td><s:property value="getText('scart.total')"/></td><td><s:property value="#session.SCartMaster.totalSCart" /></td>
			</tr>
		</table>
		<br>
<!-- 
sCartDetail:
	private float pcntDiscount;
	private double discount;
 -->
 	</body>

</html>

