/*
	Project : MARCEL_CRUD_2
	File : ItemAction.java
	Author : MSA
	Date : 14/12/2013
	Source : 
	Notes : 
*/
package org.action;

import java.util.List;
import java.util.ArrayList;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts2.ServletActionContext;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.ModelDriven;

import org.model.Item;
import org.dao.ItemDAO;
import org.dao.ItemDAOImpl;

public class ItemAction extends ActionSupport implements ModelDriven<org.model.Item> {

	private static final long serialVersionUID = 1L;

	private Item item = new Item();
	private List<org.model.Item> itemList = new ArrayList<org.model.Item>();
	private ItemDAO itemDAO = new ItemDAOImpl();

	@Override
	public Item getModel() {
		return item;
	}

	public String execute() {
		return SUCCESS;
	}

	/**
	 * To list all item.
	 * @return String
	 */
	public String listItem() {
		System.out.println("");
		System.out.println("ItemAction.java");
		System.out.println("ItemAction method : listItem()");
		itemList = itemDAO.listItem();
//		for (Iterator<org.model.Item> it = itemList.iterator(); it.hasNext(); ) {
//			item = it.next(); 
//			System.out.println(" Item Title : " + item.getTitle());
//		}
		return SUCCESS;
	}

	/**
	 * To list a single item by Name.
	 * @return String
	 */
	public String addItemToCart() {
		System.out.println("");
		System.out.println("ItemAction.java");
		System.out.println("method : addItemToCart() inici ----------------------");
		HttpServletRequest request =
			(HttpServletRequest) ActionContext.getContext().get( ServletActionContext.HTTP_REQUEST);
		// Recerca en una llista, no a la BD
		item = itemDAO.listItemById(Long.parseLong( request.getParameter("id")));

		// Troba l'item de la llista
		System.out.println("id : " + request.getParameter("id"));
		System.out.println("");
		System.out.println("item.getId() : " + item.getId());
		System.out.println("item.getCodePubliOrCol() : " + item.getCodePubliOrCol());
		System.out.println("item.getProdorcol() : " + item.getProdorcol());
		System.out.println("item.getAuthor() : " + item.getAuthor());
		System.out.println("item.getEdition() : " + item.getEdition());
		System.out.println("item.getRevision() : " + item.getRevision());
		System.out.println("item.getFormat() : " + item.getFormat());
		System.out.println("item.getNameimage() : " + item.getNameimage());
		System.out.println("item.getPrice() : " + item.getPrice());
		System.out.println("item.getPcntDiscount() : " + item.getPcntDiscount());
		// Zero
		System.out.println("item.getQuantity() : " + item.getQuantity());

		//setItem(item);

		System.out.println("");
		System.out.println("ItemAction.java");
		System.out.println("method : addItemToCart() final ----------------------");

		return SUCCESS;
	}

	/**
	 * To list a single item by Name.
	 * @return String
	 */
	public String addToSCartDetail() {
		System.out.println("");
		System.out.println("ItemAction.java");
		System.out.println("method : addToSCartDetail() inici ----------------------");

		System.out.println("");
		System.out.println("item.getId() : " + item.getId());
		System.out.println("item.getCodePubliOrCol() : " + item.getCodePubliOrCol());
		System.out.println("item.getProdorcol() : " + item.getProdorcol());
		System.out.println("item.getAuthor() : " + item.getAuthor());
		System.out.println("item.getEdition() : " + item.getEdition());
		System.out.println("item.getRevision() : " + item.getRevision());
		System.out.println("item.getFormat() : " + item.getFormat());
		System.out.println("item.getNameimage() : " + item.getNameimage());
		System.out.println("item.getPrice() : " + item.getPrice());
		System.out.println("item.getPcntDiscount() : " + item.getPcntDiscount());
		System.out.println("item.getQuantity() : " + item.getQuantity() + "<<========================");

		System.out.println("");
		System.out.println("ItemAction.java");
		System.out.println("method : addToSCartDetail() final ----------------------");
		return ERROR; //SUCCESS;
	}

	
	public Item getItem() {
		return item;
	}

	public void setItem(Item item) {
		this.item = item;
	}

	public List<org.model.Item> getItemList() {
		return itemList;
	}

	public void setItemList(List<org.model.Item> itemList) {
		this.itemList = itemList;
	}

}

