/*
	Project : MARCEL_CRUD_2
	File : SCartDetailAction.java
	Author : MSA
	Date : 14/12/2013
	Source : http://www.dzone.com/tutorials/java/struts-2/struts-2-example/struts-2-crud-example-1.html
			 http://www.mkyong.com/struts2/how-to-get-the-httpservletrequest-in-struts-2/
			 ----> import org.apache.struts2.interceptor.ServletRequestAware;

	Notes : 
*/
package org.action;

import java.util.Iterator;
import java.util.List;
import java.util.ArrayList;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts2.ServletActionContext;

//import org.apache.struts2.interceptor.ServletRequestAware;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.ModelDriven;

import org.model.Publication;
import org.model.SCartDetail;
//import org.dao.SCartDetailDAO;
//import org.dao.SCartDetailDAOImpl;

public class SCartDetailAction extends ActionSupport implements ModelDriven<SCartDetail> {

	private static final long serialVersionUID = 1L;

	private SCartDetail sCartDetail = new SCartDetail();
	private List<SCartDetail> sCartDetailList = new ArrayList<SCartDetail>();
	//private SCartDetailDAO sCartDetailDAO = new SCartDetailDAOImpl();

	@Override
	public SCartDetail getModel() {
		return sCartDetail;
	}

	public String execute() {
		return SUCCESS;
	}

	/**
	 * To save or update sCartDetail.
	 * @return String
	 */
	public String saveOrUpdateSCartDetail() {	
		System.out.println("");
		System.out.println("SCartDetailAction.java");
		System.out.println("method : saveOrUpdateSCartDetail()");
//		sCartDetailDAO.saveOrUpdateSCartDetail(sCartDetail);
		return SUCCESS;
	}

	/**
	 * To delete an sCartDetail.
	 * @return String
	 */
	public String deleteSCartDetail() {
		HttpServletRequest request =
			(HttpServletRequest) ActionContext.getContext().get( ServletActionContext.HTTP_REQUEST);
//		sCartDetailDAO.deleteSCartDetail(Long.parseLong( request.getParameter("id")));
//		/**
//		 * Used to delete an publication, by pubid.
//		 */
//		@Override
//		public void deletePublication(Long pubid) {
//			try {
//				Publication publication = (Publication) session.get(Publication.class, pubid);
//				session.delete(publication);
//			} catch (Exception e) {
//				transaction.rollback();
//				e.printStackTrace();
//			} 
//		}

		return SUCCESS;
	}

	/**
	 * To list all sCartDetail.
	 * @return String
	 */
	public String listSCartDetail() {
		System.out.println("");
		System.out.println("SCartDetailAction.java");
		System.out.println("method : listSCartDetail()");
//		sCartDetailList = sCartDetailDAO.listSCartDetail();
//		/**
//		 * Used to list all the publication.
//		 */
//		@SuppressWarnings("unchecked")
//		@Override
//		public List<Publication> listPublication() {
//			List<Publication> listpublication = null;
//			try {
//				listpublication = session.createQuery("from Publication").list();
//			} catch (Exception e) {
//				e.printStackTrace();
//			}
//			return listpublication;
//		}
		return SUCCESS;
	}

	/**
	 * To read one sCartDetail.
	 * @return String
	 */
//	public String readSCartDetail() {
//		System.out.println("");
//		System.out.println("SCartDetailAction.java");
//		System.out.println("method : readSCartDetail()");
//		System.out.println("sCartDetail id : " + sCartDetail.getPubid());
//		System.out.println("sCartDetail title : " + sCartDetail.getTitle());
//		System.out.println("sCartDetail author : " + sCartDetail.getAuthor());
//
//		try {
//			this.sCartDetailList = sCartDetailDAO.readSCartDetail(sCartDetail);
//			System.out.println("this.sCartDetailList.size() : " + this.sCartDetailList.size());
//			//if (sCartDetailList.size() > 0) {
//			//	return SUCCESS;
//			//}
//			SCartDetail itSCartDetail = null;
//			Iterator<SCartDetail> it = this.sCartDetailList.iterator();
//			while (it.hasNext()) {
//				itSCartDetail = it.next();
//				if ( itSCartDetail.getPubid().equals(sCartDetail.getPubid() ) ) {
//					System.out.println("");
//					System.out.println("******* TROBAT ******* " + itSCartDetail.getPubid());
//					System.out.println("******* TROBAT ******* " + itSCartDetail.getTitle());
//					System.out.println("******* TROBAT ******* " + itSCartDetail.getAuthor());
//					System.out.println("");
//					return SUCCESS;
//				}
//				System.out.println("while");
//			}
//			System.out.println("");
//			System.out.println("NO TROBAT");
//			System.out.println("");
//		} catch (Exception e) {
//			e.printStackTrace();
//		}
//		return ERROR;
//	}

	/**
	 * To list a single sCartDetail by Name.
	 * @return String
	 */
	public String editSCartDetail() {
		System.out.println("");
		System.out.println("SCartDetailAction.java");
		System.out.println("method : editSCartDetail()");
		HttpServletRequest request =
			(HttpServletRequest) ActionContext.getContext().get( ServletActionContext.HTTP_REQUEST);
//		sCartDetail = sCartDetailDAO.listSCartDetailById(Long.parseLong( request.getParameter("id")));
//		/**
//		 * Used to list a single publication by Id.
//		 */
//		@Override
//		public Publication listPublicationById(Long pubid) {
//			Publication publication = null;
//			try {
//				publication = (Publication) session.get(Publication.class, pubid);
//			} catch (Exception e) {
//				e.printStackTrace();
//			}
//			return publication;
//		}
		System.out.println("sCartDetail id : " + request.getParameter("id"));
		return SUCCESS;
	}

	public SCartDetail getSCartDetail() {
		return sCartDetail;
	}

	public void setSCartDetail(SCartDetail sCartDetail) {
		this.sCartDetail = sCartDetail;
	}

	public List<SCartDetail> getSCartDetailList() {
		return sCartDetailList;
	}

	public void setSCartDetailList(List<SCartDetail> sCartDetailList) {
		this.sCartDetailList = sCartDetailList;
	}

}
//# Messages: 	The listSCartDetail() is not defined in action class org.action.SCartDetailAction
//File: 	com/opensymphony/xwork2/DefaultActionInvocation.java


