/*
	File : ItemDAOImpl.java
	Project : MARCEL_CRUD_2
	Author : MSA
	Date : 17/01/2014
	Source : http://stackoverflow.com/questions/10268464/null-pointer-access-the-variable-data-can-only-be-null-at-this-location
	Notes : 
*/
package org.dao;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.math.BigDecimal;

import org.model.Item;
import org.model.Publication;
import org.model.Collection;
import org.dao.ItemDAO;

//import org.hibernate.Query;
import org.hibernate.Session;
import org.hibernate.Transaction;

import com.googlecode.s2hibernate.struts2.plugin.annotations.SessionTarget;
import com.googlecode.s2hibernate.struts2.plugin.annotations.TransactionTarget;

public class ItemDAOImpl implements ItemDAO {

	@SessionTarget
	Session session;

	@TransactionTarget
	Transaction transaction;

	/**
	 * Used to delete an item, by id.
	 */
	@SuppressWarnings("unchecked")
	@Override
	public List<org.model.Item> listItem() {
		System.out.println("");
		System.out.println("ItemDAOImpl.java");
		System.out.println("method : listItem()");

		Long id = 0L;
		List<Publication> listPublication = new ArrayList<Publication>();
		List<Collection> listCollection = new ArrayList<Collection>();
		List<org.model.Item> listItem = new ArrayList<org.model.Item>();

		try {
			System.out.println("method : loadItem() Pas Publication  1");
			listPublication = session.createQuery("from Publication").list();
			Publication publication = null;
			// org.model.Item item = null;
			for (Iterator<Publication> it1 = listPublication.iterator(); it1.hasNext(); ) {
				publication = it1.next();
				id = id + 1;

				// Item values with Product
				org.model.Item item = new org.model.Item();
				item.setId(id);
				item.setCodePubliOrCol(publication.getPubid());
				item.setProdorcol("Publication");
				item.setTitle(publication.getTitle());
				item.setAuthor(publication.getAuthor());
				item.setEdition(publication.getEdition());
				item.setRevision(publication.getRevision());
				item.setFormat(publication.getFormat());
				item.setNameimage(publication.getNameimage());
				item.setQuantity(BigDecimal.valueOf(0.0));
				item.setPcntDiscount(BigDecimal.valueOf(0.0));
				item.setPrice(publication.getPubprice());

				// Add item to item's list
				listItem.add(item);
			}

			listCollection = session.createQuery("from Collection").list();
			Collection collection = null;
			for (Iterator<Collection> it2 = listCollection.iterator(); it2.hasNext(); ) {
				collection = it2.next(); 
				id = id + 1;

				// Item values with Collection
				org.model.Item item = new org.model.Item();
				item.setId(id);
				item.setCodePubliOrCol(collection.getColid());
				item.setProdorcol("Collection");
				item.setTitle(collection.getColtitle());
				item.setAuthor("");
				item.setEdition("");
				item.setRevision("");
				item.setFormat(collection.getFormat());
				item.setNameimage(collection.getNameimage());
				item.setQuantity(BigDecimal.valueOf(0.0));
				item.setPcntDiscount(BigDecimal.valueOf(0.0));
				item.setPrice(collection.getColprice());

				// Add item to item's list
				listItem.add(item);
			}

		} catch (Exception e) {
			transaction.rollback();
			e.printStackTrace();
		}

		return listItem;
	}

	/**
	 * Used to list a single item by Id.
	 */
	@Override
	public Item listItemById(Long id) {
		System.out.println("");
		System.out.println("ItemDAOImpl.java");
		System.out.println("method : listItemById, id = " + id);
		// Lectura DAO a la taula Item : no existeix a la BD i no es pot fer.
		// item = (Item) session.get(Item.class, id);

		// Busquem a la llista l'item.
		Item item = null;

		try {
			List<org.model.Item> listItem = new ArrayList<org.model.Item>();
			listItem = listItem();
			boolean fgfound = false;
			for (Iterator<org.model.Item> it = listItem.iterator(); it.hasNext() && !fgfound; ) {
				item = it.next();
				System.out.println("item.getId() : " + item.getId());
				if (item.getId() == id ) {
					System.out.println("trobat !!");
					fgfound = true;
				}
			}
			System.out.println("");
		} catch (Exception e) {
			e.printStackTrace();
		}
		return item;
	}

	/**
	 * Used to list a single item by Id.
	 */
	@Override
	public Item addItemByIdToSCart(Long id) {
		Item item = null;
		try {
			item = (Item) session.get(Item.class, id);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return item;
	}

}


