<!--
	Project : MARCEL_CRUD_2
	File : CollectionCRUD.jsp
	Author : MSA
	Date : 14/12/2013
	Source : 
	Notes :
-->
<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC
	"-//W3C//DTD HTML 4.01 Transitional//EN"
	"http://www.w3.org/TR/html4/loose.dtd">
<%@taglib uri="/struts-tags" prefix="s"%>

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>Registration Page</title>
		<s:head />
	</head>

	<body>
		<h2><s:property value="getText('collection.Title')"/></h2>
		<s:a href="Menu.jsp">Menu</s:a>

		<!-- Accepta el formulari -->
		<s:form action="saveOrUpdateCollection">
			<s:push value="collection">
				<s:hidden name="colid" />
				<s:textfield name="coltitle" key="collection.coltitle" size="20" />
				<s:textfield name="date" key="collection.date" size="20" />
				<s:textfield name="format" key="collection.format" size="20" />
				<s:textfield name="isbn1" key="collection.isbn1" size="20" />
				<s:textfield name="isbn2" key="collection.isbn2" size="20" />
				<s:textfield name="isbn3" key="collection.isbn3" size="20" />
				<s:textfield name="nameimage" key="collection.nameimage" size="20" />
				<s:textfield name="notes" key="collection.notes" size="20" />
				<s:textfield name="colprice" key="collection.colprice" size="20" />
				<s:textfield name="pubstotal" key="collection.pubstotal" size="20" />
				<s:submit key="collection.submit" />
			</s:push>
		</s:form>

		<s:if test="collectionList.size() > 0">
			<div class="content">
			<table class="collectionTable" cellpadding="5px">
				<tr class="even">
					<th><s:property value="getText('collection.colid')"/></th>
					<th><s:property value="getText('collection.coltitle')"/></th>
					<th><s:property value="getText('collection.date')"/></th>
					<th><s:property value="getText('collection.format')"/></th>
					<th><s:property value="getText('collection.isbn1')"/></th>
					<th><s:property value="getText('collection.isbn2')"/></th>
					<th><s:property value="getText('collection.isbn3')"/></th>
					<th><s:property value="getText('collection.nameimage')"/></th>
					<th><s:property value="getText('collection.notes')"/></th>
					<th><s:property value="getText('collection.colprice')"/></th>
					<th><s:property value="getText('collection.pubstotal')"/></th>
				</tr>
				<s:iterator value="collectionList" status="statusCollection">
					<tr class="<s:if test="#statusCollection.odd == true ">odd</s:if> <s:else>even</s:else>">
						<td><s:property value="colid" /></td>
						<td><s:property value="coltitle" /></td>
						<td><s:property value="date" /></td>
						<td><s:property value="format" /></td>
						<td><s:property value="isbn1" /></td>
						<td><s:property value="isbn2" /></td>
						<td><s:property value="isbn3" /></td>
						<td><s:property value="nameimage" /></td>
						<td><s:property value="notes" /></td>
						<td><s:property value="colprice" /></td>
						<td><s:property value="pubstotal" /></td>
						<td>
						<s:url id="editURL" action="editCollection">
							<s:param name="colid" value="%{colid}"></s:param>
						</s:url>
						<s:a href="%{editURL}"><s:property value="getText('collection.edit')"/></s:a>
						</td>
						<td>
						<s:url id="deleteURL" action="deleteCollection">
							<s:param name="colid" value="%{colid}"></s:param>
						</s:url>
						<s:a href="%{deleteURL}"><s:property value="getText('collection.delete')"/></s:a>
						</td>
					</tr>
				</s:iterator>
			</table>
			</div>
		</s:if>

	</body>

</html>

