<!--
	Project : MARCEL_CRUD_2
	File : PublicationCRUD.jsp
	Author : MSA
	Date : 14/12/2013
	Source : 
	Notes :
-->
<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@taglib uri="/struts-tags" prefix="s"%>
<!DOCTYPE html PUBLIC
	"-//W3C//DTD HTML 4.01 Transitional//EN"
	"http://www.w3.org/TR/html4/loose.dtd">

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>Registration Page</title>
	</head>

	<body>
		<h2><s:property value="getText('publications.Title')"/></h2>
		<s:a href="Menu.jsp">Menu</s:a>

		<!-- Accepta el formulari -->
		<s:form action="saveOrUpdatePublication">
			<s:push value="publication">
				<s:hidden name="pubid" />
				<s:textfield name="title" key="publications.title" size="20" />
				<s:textfield name="author" key="publications.author" size="20" />
				<s:textfield name="date" key="publications.date" size="20" />
				<s:textfield name="edition" key="publications.edition" size="20" />
				<s:textfield name="revision" key="publications.revision" size="20" />
				<s:textfield name="format" key="publications.format" size="20" />
				<s:textfield name="isbn1" key="publications.isbn1" size="20" />
				<s:textfield name="isbn2" key="publications.isbn2" size="20" />
				<s:textfield name="isbn3" key="publications.isbn3" size="20" />
				<s:textfield name="nameimage" key="publications.nameimage" size="20" />
				<s:textfield name="notes" key="publications.notes" size="20" />
				<s:textfield name="collectcode" key="publications.collectcode" size="20" />
				<s:textfield name="pubprice" key="publications.pubprice" size="20" />
				<s:submit key="publications.submit" />
			</s:push>
		</s:form>

		<s:if test="publicationList.size() > 0">
			<div class="content">
			<table class="publicationTable" cellpadding="5px">
				<tr class="even">
					<th><s:property value="getText('publications.pubid')"/></th>
					<th><s:property value="getText('publications.title')"/></th>
					<th><s:property value="getText('publications.author')"/></th>
					<th><s:property value="getText('publications.date')"/></th>
					<th><s:property value="getText('publications.edition')"/></th>
					<th><s:property value="getText('publications.revision')"/></th>
					<th><s:property value="getText('publications.format')"/></th>
					<th><s:property value="getText('publications.isbn1')"/></th>
					<th><s:property value="getText('publications.isbn2')"/></th>
					<th><s:property value="getText('publications.isbn3')"/></th>
					<th><s:property value="getText('publications.nameimage')"/></th>
					<th><s:property value="getText('publications.notes')"/></th>
					<th><s:property value="getText('publications.collectcode')"/></th>
					<th><s:property value="getText('publications.pubprice')"/></th>
				</tr>
				<s:iterator value="publicationList" status="publicationStatus">
					<tr
						class="<s:if test="#publicationStatus.odd == true ">
									odd
								</s:if>
								<s:else>
									even
								</s:else>">
						<td><s:property value="pubid" /></td>
						<td><s:property value="title" /></td>
						<td><s:property value="author" /></td>
						<td><s:property value="date" /></td>
						<td><s:property value="edition" /></td>
						<td><s:property value="revision" /></td>
						<td><s:property value="format" /></td>
						<td><s:property value="isbn1" /></td>
						<td><s:property value="isbn2" /></td>
						<td><s:property value="isbn2" /></td>
						<td><s:property value="nameimage" /></td>
						<td><s:property value="notes" /></td>
						<td><s:property value="collectcode" /></td>
						<td><s:property value="pubprice" /></td>
		                <td>
		                <s:url id="editURL" action="editPublication">
							<s:param name="pubid" value="%{pubid}"></s:param>
						</s:url>
		                <s:a href="%{editURL}"><s:property value="getText('publications.edit')"/></s:a>
		                </td>
						<td>
		                <s:url id="deleteURL" action="deletePublication">
							<s:param name="pubid" value="%{pubid}"></s:param>
						</s:url>
		                <s:a href="%{deleteURL}"><s:property value="getText('publications.delete')"/></s:a>
		                </td>
					</tr>
				</s:iterator>
			</table>
			</div>
		</s:if>

	</body>

</html>

