<!--
	Project : MARCEL_CRUD_2
	File : PubliTemeCRUD.jsp
	Author : MSA
	Date : 05/01/2014
	Source : 
	Notes :
-->
<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@taglib uri="/struts-tags" prefix="s"%>
<!DOCTYPE html PUBLIC
	"-//W3C//DTD HTML 4.01 Transitional//EN"
	"http://www.w3.org/TR/html4/loose.dtd">

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>Registration Page</title>
	</head>

	<body>
		<h3><s:property value="getText('publitemes.Title')"/></h3>
		<s:a href="Menu.jsp">Menu</s:a>

		<!-- Accepta el formulari -->
		<s:form action="saveOrUpdatePubliTeme">
			<s:push value="publiteme">
				<s:hidden name="id" />
				<s:textfield name="teme.id" key="publitemes.temeid" size="20" />
				<s:textfield name="publication.pubid" key="publitemes.pubid" size="20" />
				<s:submit key="publitemes.submit" />
			</s:push>
		</s:form>
		
		<s:if test="publitemeList.size() > 0">
			<div class="content"> 
			<table class="publitemeTable" cellpadding="5px">
				<tr class="even">
					<th><s:property value="getText('publitemes.id')"/></th>
					<th><s:property value="getText('publitemes.temeid')"/></th>
					<th><s:property value="getText('publitemes.pubid')"/></th>
				</tr>
				<s:iterator value="publitemeList" status="publitemeStatus"> 
					<tr
						class="<s:if test="#publitemeStatus.odd == true ">
									odd
								</s:if>
								<s:else>
									even
								</s:else>">
						<td><s:property value="id" /></td>
						<td><s:property value="teme.id" /></td>
						<td><s:property value="publication.pubid" /></td>
						<td>
		                <s:url id="editURL" action="editPubliteme">
							<s:param name="id" value="%{id}"></s:param>
						</s:url>
		                <s:a href="%{editURL}"><s:property value="getText('publitemes.edit')"/></s:a>
		                </td>
						<td>
		                <s:url id="deleteURL" action="deletePubliteme">
							<s:param name="id" value="%{id}"></s:param>
						</s:url>
		                <s:a href="%{deleteURL}"><s:property value="getText('publitemes.delete')"/></s:a>
		                </td>
					</tr>
				</s:iterator>
			</table>
			</div>
		</s:if>

	</body>

</html>

