<!--
	Project : MARCEL_CRUD_2
	File : TemeCRUD.jsp
	Author : MSA
	Date : 05/01/2014
	Source : 
	Notes :
-->
<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@taglib uri="/struts-tags" prefix="s"%>
<!DOCTYPE html PUBLIC
	"-//W3C//DTD HTML 4.01 Transitional//EN"
	"http://www.w3.org/TR/html4/loose.dtd">

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>Registration Page</title>
	</head>

	<body>
		<h2><s:property value="getText('temes.Title')"/></h2>
		<s:a href="Menu.jsp">Menu</s:a>

		<!-- Accepta el formulari -->
		<s:form action="saveOrUpdateTeme">
			<s:push value="teme">
				<s:hidden name="id" />
				<s:textfield name="code" key="temes.code" size="20" />
				<s:textfield name="description" key="temes.description" size="20" />
				<s:submit key="temes.submit" />
			</s:push>
		</s:form>

		<s:if test="temeList.size() > 0">
			<div class="content">
			<table class="temeTable" cellpadding="5px">
				<tr class="even">
					<th><s:property value="getText('temes.id')"/></th>
					<th><s:property value="getText('temes.code')"/></th>
					<th><s:property value="getText('temes.description')"/></th>
				</tr>
				<s:iterator value="temeList" status="temeStatus">
					<tr
						class="<s:if test="#temeStatus.odd == true ">
									odd
								</s:if>
								<s:else>
									even
								</s:else>">
						<td><s:property value="id" /></td>
						<td><s:property value="code" /></td>
						<td><s:property value="description" /></td>
						<td>
		                <s:url id="editURL" action="editTeme">
							<s:param name="id" value="%{id}"></s:param>
						</s:url>
		                <s:a href="%{editURL}"><s:property value="getText('temes.edit')"/></s:a>
		                </td>
						<td>
		                <s:url id="deleteURL" action="deleteTeme">
							<s:param name="id" value="%{id}"></s:param>
						</s:url>
		                <s:a href="%{deleteURL}"><s:property value="getText('temes.delete')"/></s:a>
		                </td>
					</tr>
				</s:iterator>
			</table>
			</div>
		</s:if>

	</body>

</html>

