<!--
	Project : MARCEL_SESSION_2
	File : LoginSession.jsp
	Author : MSA
	Date : 24/12/2013
	Source : http://struts.apache.org/release/2.0.x/docs/simplelogin-with-session.html
			 http://www.java4s.com/struts-tutorials/example-on-struts-2-sessionaware-interface/
			 http://grokbase.com/t/struts/user/087rvkvzre/s2-how-to-have-the-form-horizontally
	Notes : use SessionAware
-->
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags" %>

<!DOCTYPE html PUBLIC
	"-//W3C//DTD HTML 4.01 Transitional//EN"
	"http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>Welcome to Session Login</title>
	</head>

	<body>
			<!-- Assignacio inicial dels locales (IMPORTANT) -->
		<s:url id="localeCA" namespace="/" action="locale1" >
			<s:param name="request_locale" >ca</s:param>
		</s:url>
		<s:url id="localeES" namespace="/" action="locale1" >
			<s:param name="request_locale" >es</s:param>
		</s:url>
		<s:url id="localeEN" namespace="/" action="locale1" >
			<s:param name="request_locale" >en</s:param>
		</s:url>
		<s:url id="localeFR" namespace="/" action="locale1" >
			<s:param name="request_locale" >fr</s:param>
		</s:url>
		<s:url id="localeIT" namespace="/" action="locale1" >
			<s:param name="request_locale" >it</s:param>
		</s:url>
		<s:url id="localePT" namespace="/" action="locale1" >
			<s:param name="request_locale" >pt</s:param>
		</s:url>
		<s:url id="localeDE" namespace="/" action="locale1" >
			<s:param name="request_locale" >de</s:param>
		</s:url>
		<!--
		<s:url id="localezhCN" namespace="/" action="locale1" >
			<s:param name="request_locale2" >zh_CN</s:param>
		</s:url>
		  -->

		<h2>CRUD2 LoginSession.jsp : Session Login in Struts2, loginSession.action</h2>
		user : 'admin01@portal.com', password : 'pass01'<br>
		<br>
		<s:form action="readAdminuser.action" method="post" >
			<table>
			<tr>
			 <!--  width="25" height="25" border="0" -->
			</tr>
			<tr>
				<td><img src="<s:url value="/img/logo.jpeg" />" width="60" height="60" /></td>
				<td><s:property value="getText('login.user')"/>&nbsp;id&nbsp;:&nbsp;</td>
				<td><input type="text" name="admincode" /></td>
				<td><s:property value="getText('login.password')"/>&nbsp;:</td>
				<td><input type="password" name="password" /></td>
				<td><input type="submit" value="Login"/></td>
				<!-- /s:push -->
				<td><a href="userRegister.action"><s:property value="getText('login.register')"/></a></td>
			</tr>
			<tr>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td><a href="userForgottenPassword.action">Forgotten&nbsp;Password&nbsp;?</a></td>
			</tr>
			</table>
			
		</s:form>

		<!-- *************** Menu al peu amb l'eleccio dels locales **************** -->
		<s:a href="%{localeCA}" ><s:property value="getText('label.catalan')"/></s:a>
		<s:a href="%{localeES}" ><s:property value="getText('label.spanish')"/></s:a>
		<s:a href="%{localeEN}" ><s:property value="getText('label.english')"/></s:a>
		<s:a href="%{localeFR}" ><s:property value="getText('label.french')"/></s:a>
		<s:a href="%{localeIT}" ><s:property value="getText('label.italian')"/></s:a>
		<s:a href="%{localePT}" ><s:property value="getText('label.portuguese')"/></s:a>
		<s:a href="%{localeDE}" ><s:property value="getText('label.german')"/></s:a>
		<!-- 
		<s:a href="%{localezhCN}" ><s:property value="getText('label.chinese')"/></s:a>
		-->
		<!-- *********************************************************************** -->
	</body>

</html>

