<!--
	Project : MARCEL_CRUD_2
	File : Register.jsp
	Author : MSA
	Date : 09/12/2013
	Source : 
	Notes :
-->
<%@page contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@taglib uri="/struts-tags" prefix="s"%>
<!-- Fitxer : Register.jsp -->
<!DOCTYPE html PUBLIC
	"-//W3C//DTD HTML 4.01 Transitional//EN"
	"http://www.w3.org/TR/html4/loose.dtd">

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
		<title>Registration Page</title>
		<s:head />
 
		<style type="text/css">
		@import url(style.css);
		</style>

	</head>

	<body>
		<h3><s:property value="getText('admins.title')"/></h3>

		<!-- Accepta el formulari -->
		<s:form action="queryLogin"> <%-- "saveOrUpdateAdminuser" --%>
			<s:push value="adminuser">
				<s:hidden name="adminid" />
				<s:textfield name="admincode" key="admins.name" size="20" />
				<s:textfield name="password" key="admins.password" size="20" />
				<s:submit key="admins.submit" align="center" />
			</s:push>
		</s:form>

<!-- adminuser
	private Integer adminid;
	private String admincode;
	private String password;
 -->

		<s:if test="adminuserList.size() > 0"> <!-- adminuserList esta declarat a AdminuserAction.java -->
			<div class="content">
			<table class="adminuserTable" cellpadding="5px">
				<tr class="even">
					<th><s:property value="getText('admins.id')"/></th>
					<th><s:property value="getText('admins.name')"/></th>
					<th><s:property value="getText('admins.password')"/></th>
				</tr>
				<s:iterator value="listAdminuser" status="statusAdminuser">
					<tr
						class="<s:if test="#statusAdminuser.odd == true ">
									odd
								</s:if>
								<s:else>
									even
								</s:else>">
						<td><s:property value="adminid" /></td>
						<td><s:property value="admincode" /></td>
						<td><s:property value="password" /></td>
						<td>
							<s:url id="editURL" action="editAdminuser">
								<s:param name="adminid" value="%{adminid}"></s:param>
							</s:url>
							<s:a href="%{editURL}"><s:property value="getText('admins.edit')"/></s:a>
						</td>
						<td>
							<s:url id="deleteURL" action="deleteAdminuser">
								<s:param name="adminid" value="%{adminid}"></s:param>
							</s:url>
							<s:a href="%{deleteURL}"><s:property value="getText('admins.delete')"/></s:a>
						</td>
					</tr>
				</s:iterator>
			</table>
			</div>
		</s:if>

	</body>

</html>

