/*
	Project : MARCEL_CRUD_2
	File : AdminuserAction.java
	Author : MSA
	Date : 14/12/2013
	Source : http://www.dzone.com/tutorials/java/struts-2/struts-2-example/struts-2-crud-example-1.html
			 http://www.mkyong.com/struts2/how-to-get-the-httpservletrequest-in-struts-2/
			 ----> import org.apache.struts2.interceptor.ServletRequestAware;

	Notes : 
*/
package org.action;

import java.util.Iterator;
import java.util.List;
import java.util.ArrayList;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts2.ServletActionContext;

//import org.apache.struts2.interceptor.ServletRequestAware;
//import org.apache.struts2.interceptor.SessionAware;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.ModelDriven;

import org.model.Adminuser;
import org.dao.AdminuserDAO;
import org.dao.AdminuserDAOImpl;
import org.struts.login.LoginAction;

public class AdminuserAction extends ActionSupport implements ModelDriven<Adminuser> {

	private static final long serialVersionUID = 1L;

	private Adminuser adminuser = new Adminuser();
	private List<Adminuser> adminuserList = new ArrayList<Adminuser>();
	private AdminuserDAO adminuserDAO = new AdminuserDAOImpl();

	@Override
	public Adminuser getModel() {
		return adminuser;
	}

	public String execute() {
		return SUCCESS;
	}

	/**
	 * To save or update adminuser.
	 * @return String
	 */
	public String saveOrUpdateAdminuser() {	
		System.out.println("");
		System.out.println("AdminuserAction.java");
		System.out.println("method : saveOrUpdateAdminuser()");
		System.out.println("adminuser.getAdminid " + adminuser.getAdminid());
		System.out.println("adminuser.getAdmincode" + adminuser.getAdmincode());
		System.out.println("adminuser.getPassword" + adminuser.getPassword());
		adminuserDAO.saveOrUpdateAdminuser(adminuser);
		return SUCCESS;
	}

	/**
	 * To delete an adminuser.
	 * @return String
	 */
	public String deleteAdminuser() {
		HttpServletRequest request =
			(HttpServletRequest) ActionContext.getContext().get( ServletActionContext.HTTP_REQUEST);
		adminuserDAO.deleteAdminuser(Long.parseLong( request.getParameter("adminid")));
		return SUCCESS;
	}

	/**
	 * To list all adminuser.
	 * @return String
	 */
	public String listAdminuser() {
		System.out.println("");
		System.out.println("AdminuserAction.java");
		System.out.println("method : listAdminuser()");
		adminuserList = adminuserDAO.listAdminuser();
		System.out.println("");
		System.out.println("adminuserList.size() : ---------> " + adminuserList.size());
		return SUCCESS;
	}

	/**
	 * To read one admins.
	 * @return String
	 */
	public String readAdminuser() {
		System.out.println("");
		System.out.println("AdminuserAction.java");
		System.out.println("method : readAdminuser()");
		System.out.println("admins.getAdminid() : " + adminuser.getAdminid());
		System.out.println("admins.getAdminCode() : " + adminuser.getAdmincode());
		System.out.println("admins.getPassword() : " + adminuser.getPassword());

		try {
			this.adminuserList = adminuserDAO.readAdminuser(adminuser);
			System.out.println("this.adminsList.size() : " + this.adminuserList.size());
			//if (adminsList.size() > 0) {
			//	return SUCCESS;
			//}
			Adminuser itAdminuser = null;
			Iterator<Adminuser> it = this.adminuserList.iterator();
			while (it.hasNext()) {
				itAdminuser = it.next();
				if ( itAdminuser.getAdmincode().equals(adminuser.getAdmincode() ) &&
					 itAdminuser.getPassword().equals(adminuser.getPassword() ) ){
					System.out.println("");
					System.out.println("******* TROBAT ******* " + itAdminuser.getAdmincode());
					System.out.println("******* TROBAT ******* " + itAdminuser.getPassword());

					//------------------------------ CREAR SESSIO -------------------------
//					System.out.println("Assignació");
//					LoginAction loginAction = null;
//					System.out.println("Crida a LoginAction");
//					loginAction.login(adminuser.getAdmincode(), adminuser.getPassword());
					//------------------------------ CREAR SESSIO -------------------------
					return SUCCESS;
				}
				System.out.println("while");
			}
			System.out.println("");
			System.out.println("NO TROBAT");
			System.out.println("");
		} catch (Exception e) {
			e.printStackTrace();
		}
		return ERROR;
	}

	/**
	 * To list a single adminuser by Name.
	 * @return String
	 */
	public String editAdminuser() {
		HttpServletRequest request =
			(HttpServletRequest) ActionContext.getContext().get( ServletActionContext.HTTP_REQUEST);
		adminuser = adminuserDAO.listAdminuserById(Long.parseLong( request.getParameter("adminid")));
		return SUCCESS;
	}

	public Adminuser getAdminuser() {
		return adminuser;
	}

	public void setAdminuser(Adminuser adminuser) {
		this.adminuser = adminuser;
	}

	public List<Adminuser> getAdminuserList() {
		return adminuserList;
	}

	public void setAdminuserList(List<Adminuser> adminuserList) {
		this.adminuserList = adminuserList;
	}

}

