/*
	File : OrderitemsDAOImpl.java
	Project : MARCEL_CRUD_2
	Author : MSA
	Date : 17/01/2014
	Source : 
	Notes : 
*/
package org.dao;

import java.util.List;

import org.model.Orderitems;
import org.dao.OrderitemsDAO;
//import org.hibernate.Query;
import org.hibernate.Session;
import org.hibernate.Transaction;

import com.googlecode.s2hibernate.struts2.plugin.annotations.SessionTarget;
import com.googlecode.s2hibernate.struts2.plugin.annotations.TransactionTarget;

public class OrderitemsDAOImpl implements OrderitemsDAO {

	@SessionTarget
	Session session;

	@TransactionTarget
	Transaction transaction;

	/**
	 * Used to save or update an order, by orderid.
	 */
	@Override
	public void saveOrUpdateOrderitems(Orderitems orderitems) {
		System.out.println("");
		System.out.println("OrderitemsDAOImpl.java");
		System.out.println("method : saveOrUpdateOrderitems");
		
		if (orderitems == null) {
			System.out.println("orderitems nullid");
		} else {
			System.out.println("orderitems id : " + orderitems.getSeqid());
			System.out.println("orderitems orderi_orderid : " + orderitems.getOrders());
			System.out.println("orderitems orderi_line : " + orderitems.getOrderiLine());
			System.out.println("orderitems prodorcol : " + orderitems.getProdorcol());
			System.out.println("orderitems itemid : " + orderitems.getItemid());
			System.out.println("orderitems name : " + orderitems.getName());
			System.out.println("orderitems price : " + orderitems.getPrice());
			System.out.println("orderitems discount : " +  orderitems.getDiscount() );
		}

		try {
			session.saveOrUpdate(orderitems);
		} catch (Exception e) {
			transaction.rollback();
			e.printStackTrace();
		}
	}

	/**
	 * Used to delete an orders, by orderid.
	 */
	@Override
	public void deleteOrderitems(Long orderiId) {
		try {
			Orderitems orders = (Orderitems) session.get(Orderitems.class, orderiId);
			session.delete(orders);
		} catch (Exception e) {
			transaction.rollback();
			e.printStackTrace();
		} 
	}

	/**
	 * Used to list all the orders.
	 */
	@SuppressWarnings("unchecked")
	@Override
	public List<Orderitems> listOrderitems() {
		System.out.println("");
		System.out.println("OrderitemsDAOImpl.java");
		System.out.println("method : listOrderitems");
		List<Orderitems> listorderitems = null;
		try {
			listorderitems = session.createQuery("from Orderitems").list();
			System.out.println("listorders.size() : " + listorderitems.size() );
			System.out.println("");
		} catch (Exception e) {
			e.printStackTrace();
		}
		return listorderitems;
	}

	/**
	 * Used to list all the Orderitemss.
	 */
	@Override
	public List<Orderitems> readOrderitems(Orderitems orderitems) {
		List<Orderitems> listOrderitems = null;
//		System.out.println("");
//		System.out.println("OrderitemsDAOImpl.java");
//		System.out.println("method : readOrderitems");
//		System.out.println("orderitems id : " + orderitems.getOrderiId());
//		System.out.println("orderitems customer : " + orderitems.getOrderiLine());
//
//		try {
//			String hql = "from Orderitems O where O.orderiId = :orderiId";
//			Query query = session.createQuery(hql);
//			query.setParameter("orderiId", orderitems.get .getOrderiId());
//			listOrderitems = query.list();
//		} catch (Exception e) {
//			e.printStackTrace();
//		}
		return listOrderitems;
	}

	/**
	 * Used to list a single orders by Id.
	 */
	@Override
	public Orderitems listOrderitemsById(Long orderiId) {
		Orderitems orders = null;
		try {
			orders = (Orderitems) session.get(Orderitems.class, orderiId);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return orders;
	}

}

